curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"description": "<string>",
"transaction_datetime": "2023-11-07T05:31:56Z",
"amount": 123,
"transaction_id": "<string>",
"external_account_id": "<string>",
"metadata_": {}
}
]
'{
"data": [
{
"external_id": "<string>",
"amount": 123,
"datetime": "2023-11-07T05:31:56Z",
"description": "<string>",
"posted": true,
"type": "business",
"reviewed": true,
"id": "<string>",
"external_account_id": "<string>",
"metadata_": {},
"invoice_payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 123,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 123,
"discount_rate": 123,
"tax_amount": 123,
"tax_rate": 123,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
"<unknown>"
]
}
}
],
"refund_payments": [
{
"amount": 123,
"id": "<string>",
"transaction_id": "<string>"
}
],
"bill_payments": [
{
"bill_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"bill": {
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"total_paid": 123,
"due_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"metadata_": {},
"lines": [
{
"description": "<string>",
"number": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"amount": 123,
"id": "<string>",
"bill_id": "<string>",
"metadata_": {}
}
],
"payments": [
"<unknown>"
]
}
}
]
}
]
}The access token received from the authorization server in the OAuth 2.0 flow.
100The description of the Transaction
512The datetime the Transaction was created in UTC ISO-8601 format
The amount of the Transaction
A value that uniquely identifies the Transaction
The ID of the External Account associated with the Transaction
"eac_WQMDNUHpBThYSNh4AprDBo"
The metadata of the Transaction
Transactions accepted for processing
Show child attributes
curl --request POST \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"description": "<string>",
"transaction_datetime": "2023-11-07T05:31:56Z",
"amount": 123,
"transaction_id": "<string>",
"external_account_id": "<string>",
"metadata_": {}
}
]
'{
"data": [
{
"external_id": "<string>",
"amount": 123,
"datetime": "2023-11-07T05:31:56Z",
"description": "<string>",
"posted": true,
"type": "business",
"reviewed": true,
"id": "<string>",
"external_account_id": "<string>",
"metadata_": {},
"invoice_payments": [
{
"invoice_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"invoice": {
"business_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"source": "manual",
"due_at": "2023-11-07T05:31:56Z",
"sent_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"customer_id": "<string>",
"total_paid": 0,
"voided_at": "2023-11-07T05:31:56Z",
"credit_amount": 123,
"metadata_": {},
"lines": [
{
"description": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"unit_price": 123,
"quantity": 123,
"id": "<string>",
"invoice_id": "<string>",
"discount_amount": 123,
"discount_rate": 123,
"tax_amount": 123,
"tax_rate": 123,
"is_prepayment": true,
"metadata_": {}
}
],
"payments": [
"<unknown>"
]
}
}
],
"refund_payments": [
{
"amount": 123,
"id": "<string>",
"transaction_id": "<string>"
}
],
"bill_payments": [
{
"bill_id": "<string>",
"transaction_id": "<string>",
"payment_id": "<string>",
"datetime": "2023-11-07T05:31:56Z",
"payment_amount": 123,
"id": "<string>",
"bill": {
"business_id": "<string>",
"vendor_id": "<string>",
"number": "<string>",
"description": "<string>",
"total_amount": 123,
"total_paid": 123,
"due_at": "2023-11-07T05:31:56Z",
"issued_at": "2023-11-07T05:31:56Z",
"status": "open",
"id": "<string>",
"voided_at": "2023-11-07T05:31:56Z",
"metadata_": {},
"lines": [
{
"description": "<string>",
"number": "<string>",
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"amount": 123,
"id": "<string>",
"bill_id": "<string>",
"metadata_": {}
}
],
"payments": [
"<unknown>"
]
}
}
]
}
]
}